const fs = require('fs');

module.exports = (highPriority, lowPriority, filePath, callback) => {
    let XML = '<?xml version="1.0" encoding="UTF-8"?>\n\n';

    XML += '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9"\n';
    XML += '\txmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"\n';
    XML += '\txsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9\n';
    XML += '\thttp://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">\n\n';

    highPriority.forEach((link) => {
        XML += '\t<url>\n';
        XML += `\t\t<loc>${link}</loc>\n`;
        XML += `\t\t<lastmod>${new Date().toISOString()}</lastmod>\n`;
        XML += '\t\t<priority>1.00</priority>\n';
        XML += '\t</url>\n';
    });

    lowPriority.forEach((link) => {
        XML += '\t<url>\n';
        XML += `\t\t<loc>${link}</loc>\n`;
        XML += `\t\t<lastmod>${new Date().toISOString()}</lastmod>\n`;
        XML += '\t\t<priority>0.80</priority>\n';
        XML += '\t</url>\n';
    });

    XML += '\n</urlset>\n';

    fs.writeFile(filePath, XML, (error) => {
        if (error) {
            callback(null, error);
        } else {
            callback(XML, null);
        }
    });
};
